# -*- coding: utf-8 -*-

from typing import Optional

from fastapi import APIRouter, Depends

router = APIRouter()


async def common_parameters(q: Optional[str] = None, skip: int = 0, limit: int = 100):
    return {"q": q, "skip": skip, "limit": limit}


@router.get('/users', tags=['users'])
async def read_users(commons: dict = Depends(common_parameters)):
    # return [{'username': 'Foo'}, {'username': 'Bar'}]
    return commons


@router.get('/user/me', tags=['users'])
async def read_user_me():
    return {'username': 'fake current user'}


@router.get('/users/{username}', tags=['users'])
async def read_user(username: str):
    return {'username': username}
