# -*- coding: utf-8 -*-

from typing import Tuple
import asyncio

import httpx
import pandas as pd

from fastapi import Depends

from app.utils.date import get_time_str

TRANSFER_SERVER = 'http://api.sagacloud.cn/duoduo-service/transfer'
DATA_PLATFORM = 'http://api.sagacloud.cn/'


async def get_season_type(project_id: str, date: str = Depends(get_time_str)) -> str:
    url = f'{TRANSFER_SERVER}/environment/getSeasonType'
    params = {
        'projectId': project_id,
        'date': date,
    }
    with httpx.Client() as client:
        r = client.get(url, params=params)
        print(client.close())
    print(client.close())
    raw_info = r.json()

    return raw_info.get('data')


async def get_env_info(project_id: str, space_id: str) -> Tuple[str, pd.DataFrame, dict]:
    url = f'{TRANSFER_SERVER}/environment/databyroom'
    start_time = get_time_str(100 * 60, flag='ago')
    end_time = get_time_str()
    params = {
        'projectId': project_id,
        'spaceId': space_id,
        'statTime': start_time,
        'endTime': end_time,
    }
    with httpx.Client() as client:
        pass


if __name__ == '__main__':
    asyncio.run(get_season_type('Pj1101020002'))
